Functions
Functions
Peripheral Driver » LL Driver » LL Clock

## Functions
__STATIC_INLINE uint32_t | ll_clk_get_sys_clk (void)
| Get system clock. More...
__STATIC_INLINE void | ll_clk_set_sys_clk (uint32_t clk_sel)
| Set system clock. More...
__STATIC_INLINE void | ll_clk_select_source (uint32_t src_sel)
| Select clock source. More...
__STATIC_INLINE void | ll_clk_start_xo_pll (void)
| start XO and PLL More...
__STATIC_INLINE void | ll_clk_stop_xo_pll (void)
| stop XO and PLL More...
__STATIC_INLINE uint32_t | ll_clk_get_hf_status (void)
| Get XO PLL status. More...
__STATIC_INLINE uint32_t | ll_clk_get_sys_slow_clk (void)
| Get system slow clock. More...
__STATIC_INLINE void | ll_clk_set_sys_slow_clk (uint32_t clk_sel)
| Set system clock. More...
__STATIC_INLINE void | ll_clk_set_aon_slow_clk (uint32_t clk_sel)
| Set system clock. More...

## Detailed Description

## Function Documentation

## ◆ ll_clk_get_hf_status()

__STATIC_INLINE uint32_t ll_clk_get_hf_status | ( | void |  | ) |

Get XO PLL status.

Register|BitsName --------|-------- AON_PWR | XO_PLL_STAT

Return values

  xo | pll status value.

Definition at line 199 of file ll_clk.h.

## ◆ ll_clk_get_sys_clk()

__STATIC_INLINE uint32_t ll_clk_get_sys_clk | ( | void |  | ) |

Get system clock.

Register|BitsName --------|-------- MCU_CLK_CTRL | CLK_CTRL_SEL

Return values

  System | clock

Definition at line 116 of file ll_clk.h.

References AON_CTL.

## ◆ ll_clk_get_sys_slow_clk()

__STATIC_INLINE uint32_t ll_clk_get_sys_slow_clk | ( | void |  | ) |

Get system slow clock.

Register|BitsName --------|-------- MCU_CLK_CTRL | CLK_CTRL_SEL

Return values

  System | slow clock

Definition at line 216 of file ll_clk.h.

References AON_CTL.

## ◆ ll_clk_select_source()

__STATIC_INLINE void ll_clk_select_source | ( | uint32_t | src_sel | ) |

Select clock source.

Register|BitsName --------|-------- AON_CLK | CAL_FST_CLK

Parameters

  src_sel | This parameter can be a combination of the following values: LL_CLK_SEL_SOURCE_CPLL_CLK LL_CLK_SEL_SOURCE_HF_OSC_CLK

Return values

  None |

Definition at line 154 of file ll_clk.h.

References AON_CTL.

## ◆ ll_clk_set_aon_slow_clk()

__STATIC_INLINE void ll_clk_set_aon_slow_clk | ( | uint32_t | clk_sel | ) |

Set system clock.

Register|BitsName --------|-------- MCU_CLK_CTRL | AON_CLK_CTRL_SEL

Parameters

  clk_sel | This parameter can be a combination of the following values: LL_AON_SLOW_CLK_256K LL_AON_SLOW_CLK_32K

Return values

  None |

Definition at line 253 of file ll_clk.h.

References AON_CTL.

## ◆ ll_clk_set_sys_clk()

__STATIC_INLINE void ll_clk_set_sys_clk | ( | uint32_t | clk_sel | ) |

Set system clock.

Register|BitsName --------|-------- MCU_CLK_CTRL | CLK_CTRL_SEL

Parameters

  clk_sel | This parameter can be a combination of the following values: LL_CLK_CPLL_S64M_CLK LL_CLK_XO_S16M_CLK LL_CLK_CPLL_S16M_CLK LL_CLK_CPLL_T32M_CLK

Return values

  None |

Definition at line 136 of file ll_clk.h.

References AON_CTL.

## ◆ ll_clk_set_sys_slow_clk()

__STATIC_INLINE void ll_clk_set_sys_slow_clk | ( | uint32_t | clk_sel | ) |

Set system clock.

Register|BitsName --------|-------- MCU_CLK_CTRL | CLK_CTRL_SEL

Parameters

  clk_sel | This parameter can be a combination of the following values: LL_SLOW_CLK_RNG LL_SLOW_CLK_RC LL_SLOW_CLK_RTC

Return values

  None |

Definition at line 235 of file ll_clk.h.

References AON_CTL.

## ◆ ll_clk_start_xo_pll()

__STATIC_INLINE void ll_clk_start_xo_pll | ( | void |  | ) |

start XO and PLL

Register|BitsName --------|-------- AON_PWR | XO_PLL_SET

Return values

  void. |

Definition at line 169 of file ll_clk.h.

## ◆ ll_clk_stop_xo_pll()

__STATIC_INLINE void ll_clk_stop_xo_pll | ( | void |  | ) |

stop XO and PLL

Register|BitsName --------|-------- AON_PWR | XO_PLL_CLR

Return values

  void. |

Definition at line 184 of file ll_clk.h.